> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/fa-qi-payout-qing-qiu/ge-guo-jia-api-can-shu/ba-ji-si-tan.md).

# 巴基斯坦

## <mark style="color:purple;">电子钱包</mark>

* payout\_method.type = wallet
* payout\_method.payment\_method = bank\_wallets

<table><thead><tr><th>payout_method_details 参数</th><th width="100">类型</th><th width="100">必填项</th><th>描述</th></tr></thead><tbody><tr><td>account_name</td><td>String</td><td>是</td><td>最多 255 个字符。发送与 beneficiary.name 相同的值</td></tr><tr><td>account_number</td><td>String</td><td>是</td><td>IBAN（24 位字符）。例如：PK36SCBL0000001123456702<br>或<br>电子钱包号码。例如：03xxxxxxxxx</td></tr><tr><td>bank_code</td><td>String</td><td>是</td><td>请参阅下方的“巴基斯坦银行代码”</td></tr><tr><td>national_id</td><td>String</td><td>是</td><td><p>如果 purpose = “revenue_share” 或 “salaries”，则为必填项。收款人的国民身份证号码。</p><p></p><p>如果 purpose 为 payment_for_suppliers 且是企业账户，请发送 “-”。</p></td></tr></tbody></table>

### <mark style="color:purple;">电子钱包 Payload示例</mark>

{% tabs %}
{% tab title="请求示例" %}

```javascript
{
  "payout_method": {
    "type": "wallet",
    "payment_method": "bank_wallets",
    "beneficiary": {
      "name": "John Doe",
      "payout_method_details": {
        "account_name":"John Doe",
        "account_number": "PK36SCBL0000001123456702",
        "bank_code": "EASYPAISA",
        "national_id": "123456789012"
      }
    }
  },
  "amount": {
    "value": "1000",
    "currency_code": "PKR"
  },
  "country_code": "PK",
  "purpose": "revenue_share",
  "reference": "Invoice #12345",
  "request_id": "unique_request_id"
}
```

{% endtab %}

{% tab title="响应示例" %}

```javascript
{
    "purpose": "REVENUE_SHARE",
    "reference": "Invoice #12345",
    "id": "f78956b0-ae2b-4ad9-9038-b40a2ad5013b",
    "payout_method": {
        "type": "wallet",
        "payment_method": "bank_wallets",
        "beneficiary_details": {
            "name": "John Doe"
        }
    },
    "amount": {
        "value": 1000,
        "currency_code": "PKR"
    },
    "country_code": "PK",
    "request_id": "unique_request_id",
    "created_at": 1708757105
}
```

{% endtab %}
{% endtabs %}

## <mark style="color:purple;">银行转账</mark>

* payout\_method.type = bank\_transfer
* payout\_method.payment\_method = bank\_transfer

<table><thead><tr><th width="233.7430419921875">payout_method_details 参数</th><th width="100">类型</th><th width="89.6700439453125">必填项</th><th>描述</th></tr></thead><tbody><tr><td>account_name</td><td>String</td><td>是</td><td>最多 255 个字符。发送与 beneficiary.name 相同的值</td></tr><tr><td>account_number</td><td>String</td><td>是</td><td>IBAN（24 位字符）。例如：PK36SCBL0000001123456702</td></tr><tr><td>bank_code</td><td>String</td><td>是</td><td>请参阅下方的“巴基斯坦银行代码”</td></tr><tr><td><mark style="color:red;">national_id</mark></td><td>String</td><td><mark style="color:red;">是</mark></td><td><p>果 purpose = “revenue_share” 或 “salaries”，则为必填项。收款人的国民身份证号码。</p><p></p><p>如果 purpose 为 payment_for_suppliers 且是企业账户，请发送 “-”。</p></td></tr></tbody></table>

## <mark style="color:purple;">银行转账Payload示例</mark>

{% tabs %}
{% tab title="请求示例" %}

```javascript
{
    "purpose": "REVENUE_SHARE",
    "reference": null,
    "id": "01e0b14c-5a47-4fe5-aefc-dd6e873256af",
    "payout_method": {
        "type": "BANK_TRANSFER",
        "payment_method": "bank_transfer",
        "beneficiary_details": {
            "name": "John Doe"
        }
    },
    "amount": {
        "value": 1000,
        "currency_code": "PKR"
    },
    "country_code": "PK",
    "request_id": "unique_request_id",
    "created_at": 1734335885
}
```

{% endtab %}

{% tab title="响应示例" %}

```javascript
{
    "purpose": "SALARIES",
    "reference": null,
    "id": "8b697424-a2d9-4cfa-8ae0-296807874860",
    "payout_method": {
        "type": "bank_transfer",
        "payment_method": "id_bank_transfer",
        "beneficiary_details": {
            "name": "John Doe"
        }
    },
    "amount": {
        "value": 5000000,
        "currency_code": "IDR"
    },
    "country_code": "ID",
    "request_id": "unique_request_id",
    "created_at": 1710128764
}
```

{% endtab %}
{% endtabs %}

## <mark style="color:purple;">巴基斯坦银行代码</mark>

| 支付方式         | 银行名称                               | 银行代码      |
| ------------ | ---------------------------------- | --------- |
| bank\_wallet | Alfa Wallet                        | bank      |
|              | HBL Konnect                        | KONNECT   |
|              | Telenor Microfinance Bank          | EASYPAISA |
|              | FINCA Microfinance Bank            | FINCA     |
|              | Apna Microfinance Bank             | APNA      |
|              | Ubank                              | UBANK     |
|              | Mobilink Microfinance Bank Limited | JAZZCASH  |
|              | Khushali Microfinance Bank         | KHUSHALI  |
|              | Advans Pakistan Microfinance Ltd   | ADVANS    |
|              | NayaPay Private Limited            | NAYAPAY   |
|              | PayMax (Zong)                      | PAYMAX    |
|              | SadaPay                            | SADAPAY   |
|              | BYKEA                              | BYKEA     |
|              | FINJA EMI                          | FINJA     |

| 支付方式           | 银行名称                                    | 银行代码     |
| -------------- | --------------------------------------- | -------- |
| bank\_transfer | Al Baraka Bank Limited                  | ABBL     |
|                | Allied Bank Limited                     | ABL      |
|                | Askari Commercial Bank Limited          | ACBL     |
|                | Bank Al Falah Limited                   | BAFL     |
|                | Bank AL Habib Limited                   | BAHL     |
|                | Faysal Bank Limited                     | FAYSAL   |
|                | Habib Bank Limited                      | HBL      |
|                | Meezan Bank Limited                     | MEEZAN   |
|                | National Bank of Pakistan               | NBP      |
|                | Soneri Bank Limited                     | SONERI   |
|                | Standard Chartered Bank                 | SCB      |
|                | United Bank Limited                     | UBL      |
|                | SAMBA                                   | SAMBA    |
|                | Dubai Islamic Bank Pakistan Limited     | DIBPL    |
|                | BankIslami Pakistan Limited             | BIPL     |
|                | Bank of Khyber                          | BOK      |
|                | Bank of Punjab                          | BOP      |
|                | JS Bank                                 | JSB      |
|                | Silk Bank                               | SILK     |
|                | Summit Bank                             | SUMMIT   |
|                | Habib Metropolitan Bank Limited         | HMBL     |
|                | Sindh Bank                              | SINDH    |
|                | Citi Bank                               | CITI     |
|                | First Women Bank Limited                | FWBL     |
|                | ICBC                                    | ICBC     |
|                | NRSP Microfinance Bank Ltd              | NRSP     |
|                | MCB Islamic Banking                     | MCIB     |
|                | MCB Bank Limited                        | MCB      |
|                | SME Bank Limited                        | SME      |
|                | Zarai Taraqiati Bank                    | ZARAI    |
|                | MCB ARIF HABIB                          | MCBARIF  |
|                | WHITE LABEL ATM                         | WHITE    |
|                | HBL ASSET MANAGEMENT                    | HBLASSET |
|                | NBP Funds                               | NBPF     |
|                | Central Directorate of National Savings | CDNS     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/fa-qi-payout-qing-qiu/ge-guo-jia-api-can-shu/ba-ji-si-tan.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
